## linux-meta-riscv-6.17 6.17.0-14.14.1~24.04.1

=== debian/changelog ===
linux-meta-riscv-6.17 (6.17.0-14.14.1~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-14.14.1~24.04.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Tue, 27 Jan 2026 21:16:13 +0100

linux-meta-riscv-6.17 (6.17.0-9.9.1~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-9.9.1~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 14 Jan 2026 14:23:47 +0100

linux-meta-riscv-6.17 (6.17.0-9.9.1~24.04.0) noble; urgency=medium

  * Main version: 6.17.0-9.9.1~24.04.0

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 14 Jan 2026 14:21:00 +0100

linux-meta-riscv-6.14 (6.14.0-37.37.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-37.37.1~24.04.1

 -- Sarah Emery <sarah.emery@canonical.com>  Mon, 01 Dec 2025 16:28:52 +0100

linux-meta-riscv-6.14 (6.14.0-36.36.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-36.36.1~24.04.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Tue, 21 Oct 2025 16:35:29 +0200

linux-meta-riscv-6.14 (6.14.0-35.35.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-35.35.1~24.04.1

 -- Sarah Emery <sarah.emery@canonical.com>  Wed, 15 Oct 2025 16:36:18 +0200

linux-meta-riscv-6.14 (6.14.0-34.34.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-34.34.1~24.04.1

 -- Sarah Emery <sarah.emery@canonical.com>  Thu, 09 Oct 2025 14:49:30 +0200

linux-meta-riscv-6.14 (6.14.0-33.33.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-33.33.1~24.04.1

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 22 Sep 2025 16:05:51 +0200

linux-meta-riscv-6.14 (6.14.0-32.32.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-32.32.1~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 10 Sep 2025 17:30:17 +0200

linux-meta-riscv-6.14 (6.14.0-29.29.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-29.29.1~24.04.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Fri, 15 Aug 2025 14:35:10 +0200

linux-meta-riscv-6.14 (6.14.0-28.28.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-28.28.1~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Thu, 31 Jul 2025 20:47:40 +0200

linux-meta-riscv-6.14 (6.14.0-27.27.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-27.27.1~24.04.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Mon, 28 Jul 2025 18:03:27 +0200

linux-meta-riscv-6.14 (6.14.0-24.24.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-24.24.1~24.04.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 25 Jun 2025 13:56:50 +0200

linux-meta-riscv-6.14 (6.14.0-23.23.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-23.23.1~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Mon, 23 Jun 2025 16:01:30 +0200

linux-meta-riscv-6.14 (6.14.0-22.22.1~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-22.22.1~24.04.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 28 May 2025 12:20:30 +0200

linux-meta-riscv-6.14 (6.14.0-22.22.1~24.04.0) noble; urgency=medium

  * Main version: 6.14.0-22.22.1~24.04.0

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 07 May 2025 15:03:16 +0200

linux-meta-riscv (6.8.0-60.63.1) noble; urgency=medium

  * Main version: 6.8.0-60.63.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 30 Apr 2025 14:17:16 +0200

linux-meta-riscv (6.8.0-59.61.1) noble; urgency=medium

  * Main version: 6.8.0-59.61.1

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 22 Apr 2025 16:01:34 +0200

linux-meta-riscv (6.8.0-58.60.1) noble; urgency=medium

  * Main version: 6.8.0-58.60.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Thu, 27 Mar 2025 12:35:35 +0100

linux-meta-riscv (6.8.0-57.59.1) noble; urgency=medium

  * Main version: 6.8.0-57.59.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Thu, 20 Mar 2025 11:36:47 +0100

linux-meta-riscv (6.8.0-56.58.1) noble; urgency=medium

  * Main version: 6.8.0-56.58.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Mon, 24 Feb 2025 10:58:02 +0100

linux-meta-riscv (6.8.0-55.57.1) noble; urgency=medium

  * Main version: 6.8.0-55.57.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Wed, 19 Feb 2025 11:08:16 +0100

linux-meta-riscv (6.8.0-53.55.1) noble; urgency=medium

  * Main version: 6.8.0-53.55.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Tue, 28 Jan 2025 12:48:40 +0100

linux-meta-riscv (6.8.0-52.53.1) noble; urgency=medium

  * Main version: 6.8.0-52.53.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Tue, 21 Jan 2025 16:56:15 +0100

linux-meta-riscv (6.8.0-51.52.1) noble; urgency=medium

  * Main version: 6.8.0-51.52.1

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Mon, 09 Dec 2024 16:39:07 +0100

linux-meta-riscv (6.8.0-50.51.1) noble; urgency=medium

  * Main version: 6.8.0-50.51.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Emil Renner Berthing <emil.renner.berthing@canonical.com>  Tue, 26 Nov 2024 14:41:12 +0100

linux-meta-riscv (6.8.0-49.49.1) noble; urgency=medium

  * Main version: 6.8.0-49.49.1


