## linux-meta-riscv-6.17 6.17.0-16.16.1~24.04.1

=== debian/changelog ===
linux-meta-riscv-6.17 (6.17.0-16.16.1~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-16.16.1~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Enable Nezha board (LP: #1975592)
    - [Packaging] Add allwinner transitionals

 -- Sarah Emery <sarah.emery@canonical.com>  Thu, 19 Feb 2026 21:56:56 +0100
