=== debian/control ===
--- 
+++ 
@@ -5,9 +5,81 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 10), gawk
 Build-Depends-Arch:
- linux-riscv-6.17-headers-6.17.0-14,
- linux-headers-6.17.0-14-generic,
+ linux-riscv-6.17-headers-6.17.0-16,
+ linux-headers-6.17.0-16-generic,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-riscv/+git/noble -b riscv-6.17
+
+Package: linux-headers-allwinner-6.17
+Architecture: riscv64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
+Description: Allwinner Linux kernel headers
+ This package will always depend on the latest Allwinner kernel headers
+ available.
+
+Package: linux-image-allwinner-6.17
+Architecture: riscv64
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic, linux-modules-${kernel-abi-version}-generic, linux-firmware
+Description: Allwinner Linux kernel image
+ This package will always depend on the latest Allwinner kernel image
+ available.
+
+Package: linux-tools-allwinner-6.17
+Architecture: riscv64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-generic
+Description: Allwinner Linux kernel tools
+ This package will always depend on the latest Allwinner kernel tools
+ available.
+
+Package: linux-allwinner-6.17
+Architecture: riscv64
+Section: kernel
+Provides: kernel-testing--linux-riscv-6.17--full--allwinner, kernel-testing--linux-riscv-6.17--full--preferred,
+Depends: ${misc:Depends}, linux-image-allwinner-6.17 (= ${binary:Version}), linux-headers-allwinner-6.17 (= ${binary:Version})
+Description: Complete Allwinner Linux kernel and headers
+ This package will always depend on the latest complete Allwinner Linux kernel
+ and headers.
+
+
+Package: linux-headers-allwinner
+Architecture: riscv64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
+Description: Allwinner Linux kernel headers
+ This package will always depend on the latest Allwinner kernel headers
+ available.
+
+Package: linux-image-allwinner
+Architecture: riscv64
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic, linux-modules-${kernel-abi-version}-generic, linux-firmware
+Description: Allwinner Linux kernel image
+ This package will always depend on the latest Allwinner kernel image
+ available.
+
+Package: linux-tools-allwinner
+Architecture: riscv64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-generic
+Description: Allwinner Linux kernel tools
+ This package will always depend on the latest Allwinner kernel tools
+ available.
+
+Package: linux-allwinner
+Architecture: riscv64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-allwinner (= ${binary:Version}), linux-headers-allwinner (= ${binary:Version})
+Description: Complete Allwinner Linux kernel and headers
+ This package will always depend on the latest complete Allwinner Linux kernel
+ and headers.
+
 
 Package: linux-headers-generic-6.17
 Architecture: riscv64
